# Get combined consent for requested language

`GET /omni/get/combined-consent`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetches combined consent for requested language.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Consent id |
| `language` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string |  |  |
| `languageCode` | string |  | Enum: `ps-AF`, `sv-AX`, `sq-AL`, `ar-DZ`, `en-AS`, `ca-AD`, `pt-AO`, `en-AI`, `en-AQ`, `en-AG`, `es-AR`, `hy-AM`, `nl-AW`, `en-AU`, `de-AT`, `az-AZ`, `en-BS`, `ar-BH`, `bn-BD`, `en-BB`, `be-BY`, `nl-BE`, `en-BZ`, `fr-BJ`, `en-BM`, `dz-BT`, `es-BO`, `nl-BQ`, `bs-BA`, `en-BW`, `no-BV`, `pt-BR`, `en-IO`, `ms-BN`, `bg-BG`, `fr-BF`, `rn-BI`, `pt-CV`, `km-KH`, `fr-CM`, `en-CA`, `fr-CA`, `en-KY`, `fr-CF`, `fr-TD`, `es-CL`, `zh-CN`, `en-CX`, `ms-CC`, `es-CO`, `ar-KM`, `fr-CG`, `fr-CD`, `en-CK`, `es-CR`, `fr-CI`, `hr-HR`, `es-CU`, `nl-CW`, `el-CY`, `cs-CZ`, `da-DK`, `fr-DJ`, `en-DM`, `es-DO`, `es-EC`, `ar-EG`, `es-SV`, `es-GQ`, `aa-ER`, `et-EE`, `am-ET`, `en-FK`, `fo-FO`, `en-FJ`, `fi-FI`, `fr-FR`, `fr-GF`, `fr-PF`, `fr-TF`, `fr-GA`, `en-GM`, `ka-GE`, `de-DE`, `en-GH`, `en-GI`, `el-GR`, `kl-GL`, `en-GD`, `fr-GP`, `en-GU`, `es-GT`, `en-GG`, `fr-GN`, `pt-GW`, `en-GY`, `fr-HT`, `en-HM`, `it-VA`, `es-HN`, `zh-HK`, `hu-HU`, `is-IS`, `hi-IN`, `id-ID`, `fa-IR`, `ar-IQ`, `ga-IE`, `en-IM`, `he-IL`, `it-IT`, `en-JM`, `ja-JP`, `en-JE`, `ar-JO`, `kk-KZ`, `sw-KE`, `en-KI`, `ko-KP`, `ko-KR`, `ar-KW`, `ky-KG`, `lo-LA`, `lv-LV`, `ar-LB`, `en-LS`, `en-LR`, `ar-LY`, `de-LI`, `lt-LT`, `fr-LU`, `zh-MO`, `mg-MG`, `ny-MW`, `ms-MY`, `dv-MV`, `fr-ML`, `mt-MT`, `mh-MH`, `fr-MQ`, `ar-MR`, `en-MU`, `fr-YT`, `es-MX`, `en-FM`, `ro-MD`, `fr-MC`, `mn-MN`, `sr-ME`, `en-MS`, `ar-MA`, `pt-MZ`, `my-MM`, `en-NA`, `na-NR`, `ne-NP`, `nl-NL`, `fr-NC`, `en-NZ`, `es-NI`, `fr-NE`, `en-NG`, `en-NU`, `en-NF`, `mk_MK`, `en-MP`, `no-NO`, `ar-OM`, `ur-PK`, `en-PW`, `ar-PS`, `es-PA`, `en-PG`, `es-PY`, `es-PE`, `en-PH`, `en-PN`, `pl-PL`, `pt-PT`, `es-PR`, `ar-QA`, `fr-RE`, `ro-RO`, `ru-RU`, `rw-RW`, `fr-BL`, `en-SH`, `en-KN`, `en-LC`, `fr-MF`, `fr-PM`, `en-VC`, `sm-WS`, `it-SM`, `pt-ST`, `ar-SA`, `fr-SN`, `sr-RS`, `en-SC`, `en-SL`, `en-SG`, `nl-SX`, `sk-SK`, `sl-SI`, `en-SB`, `so-SO`, `en-ZA`, `en-GS`, `en-SS`, `es-ES`, `si-LK`, `ar-SD`, `nl-SR`, `no-SJ`, `en-SZ`, `sv-SE`, `de-CH`, `ar-SY`, `zh-TW`, `tg-TJ`, `sw-TZ`, `th-TH`, `pt-TL`, `fr-TG`, `en-TK`, `to-TO`, `en-TT`, `ar-TN`, `tr-TR`, `tk-TM`, `en-TC`, `tvl`, `sw-UG`, `uk-UA`, `ar-AE`, `en-GB`, `en-US`, `en-UM`, `es-UY`, `uz-UZ`, `bi-VU`, `es-VE`, `vi-VN`, `en-VG`, `en-VI`, `fr-WF`, `ar-EH`, `ar-YE`, `en-ZM`, `en-ZW`, `en`, `es`, `pt`, `fr`, `de`, `ar` |
| `title` | string |  |  |
| `terms` | string |  |  |
| `isDefault` | boolean |  |  |
| `consents` | array[ConsentCheckbox] |  |  |
| `consents.checkboxId` | string |  |  |
| `consents.consentText` | string |  |  |
| `consents.consentType` | string |  |  |
| `consents.origin` | string |  | Enum: `USER`, `SHARED` |
| `consents.optional` | boolean |  |  |
| `consents.editable` | boolean |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
